# stl_algobase.h File Reference

`#include <bits/c++config.h>`
`#include <cstring>`
`#include <climits>`
`#include <cstdlib>`
`#include <cstddef>`
`#include <new>`
`#include <iosfwd>`
`#include <bits/stl_pair.h>`
`#include <bits/type_traits.h>`
`#include <bits/stl_iterator_base_types.h>`
`#include <bits/stl_iterator_base_funcs.h>`
`#include <bits/stl_iterator.h>`
`#include <bits/concept_check.h>`
`#include <debug/debug.h>`

Include dependency graph for stl_algobase.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_algobase.h.